{ config, ... }:

let
  statePath = config.environment.persistence.root.persistentStoragePath + "/etc/ssh";
in {
  services.openssh.hostKeys = [
    { path = statePath + "/ssh_host_rsa_key"; type = "rsa"; bits = 4096; }
    { path = statePath + "/ssh_host_ed25519_key"; type = "ed25519"; }
  ];
}
